# mailchimp_transactional

MailchimpTransactional - the Ruby gem for the Mandrill API

No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)

This SDK is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 1.0.0
- Package version: 2.0.0
- Build package: io.swagger.codegen.languages.RubyClientCodegen

## Installation

### Build a gem

To build the Ruby code into a gem:

```shell
gem build mailchimp_transactional.gemspec
```

Then either install the gem locally:

```shell
gem install ./mailchimp_transactional-2.0.0.gem
```
(for development, run `gem install --dev ./mailchimp_transactional-2.0.0.gem` to install the development dependencies)

or publish the gem to a gem hosting service, e.g. [RubyGems](https://rubygems.org/).

Finally add this to the Gemfile:

    gem 'mailchimp_transactional', '~> 2.0.0'

### Install from Git

If the Ruby gem is hosted at a git repository: https://github.com/GIT_USER_ID/GIT_REPO_ID, then add the following in the Gemfile:

    gem 'mailchimp_transactional', :git => 'https://github.com/GIT_USER_ID/GIT_REPO_ID.git'

### Include the Ruby code directly

Include the Ruby code directly using `-I` as follows:

```shell
ruby -Ilib script.rb
```

## Getting Started

Please follow the [installation](#installation) procedure and then run the following code:
```ruby
# Load the gem
require 'mailchimp_transactional'

api_instance = MailchimpTransactional::TransactionalApi.new

body = MailchimpTransactional::Body4.new # Body4 | 


begin
  #/exports/activity
  result = api_instance.post_exports_activity(body)
  p result
rescue MailchimpTransactional::ApiError => e
  puts "Exception when calling TransactionalApi->post_exports_activity: #{e}"
end

```

## Documentation for API Endpoints

All URIs are relative to *https://mandrillapp.com/api/1.0*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*MailchimpTransactional::TransactionalApi* | [**post_exports_activity**](docs/TransactionalApi.md#post_exports_activity) | **POST** /exports/activity | /exports/activity
*MailchimpTransactional::TransactionalApi* | [**post_exports_info**](docs/TransactionalApi.md#post_exports_info) | **POST** /exports/info | /exports/info
*MailchimpTransactional::TransactionalApi* | [**post_exports_list**](docs/TransactionalApi.md#post_exports_list) | **POST** /exports/list | /exports/list
*MailchimpTransactional::TransactionalApi* | [**post_exports_rejects**](docs/TransactionalApi.md#post_exports_rejects) | **POST** /exports/rejects | /exports/rejects
*MailchimpTransactional::TransactionalApi* | [**post_exports_whitelist**](docs/TransactionalApi.md#post_exports_whitelist) | **POST** /exports/whitelist | /exports/whitelist
*MailchimpTransactional::TransactionalApi* | [**post_inbound_add_domain**](docs/TransactionalApi.md#post_inbound_add_domain) | **POST** /inbound/add-domain | /inbound/add-domain
*MailchimpTransactional::TransactionalApi* | [**post_inbound_add_route**](docs/TransactionalApi.md#post_inbound_add_route) | **POST** /inbound/add-route | /inbound/add-route
*MailchimpTransactional::TransactionalApi* | [**post_inbound_check_domain**](docs/TransactionalApi.md#post_inbound_check_domain) | **POST** /inbound/check-domain | /inbound/check-domain
*MailchimpTransactional::TransactionalApi* | [**post_inbound_delete_domain**](docs/TransactionalApi.md#post_inbound_delete_domain) | **POST** /inbound/delete-domain | /inbound/delete-domain
*MailchimpTransactional::TransactionalApi* | [**post_inbound_delete_route**](docs/TransactionalApi.md#post_inbound_delete_route) | **POST** /inbound/delete-route | /inbound/delete-route
*MailchimpTransactional::TransactionalApi* | [**post_inbound_domains**](docs/TransactionalApi.md#post_inbound_domains) | **POST** /inbound/domains | /inbound/domains
*MailchimpTransactional::TransactionalApi* | [**post_inbound_routes**](docs/TransactionalApi.md#post_inbound_routes) | **POST** /inbound/routes | /inbound/routes
*MailchimpTransactional::TransactionalApi* | [**post_inbound_send_raw**](docs/TransactionalApi.md#post_inbound_send_raw) | **POST** /inbound/send-raw | /inbound/send-raw
*MailchimpTransactional::TransactionalApi* | [**post_inbound_update_route**](docs/TransactionalApi.md#post_inbound_update_route) | **POST** /inbound/update-route | /inbound/update-route
*MailchimpTransactional::TransactionalApi* | [**post_ips_cancel_warmup**](docs/TransactionalApi.md#post_ips_cancel_warmup) | **POST** /ips/cancel-warmup | /ips/cancel-warmup
*MailchimpTransactional::TransactionalApi* | [**post_ips_check_custom_dns**](docs/TransactionalApi.md#post_ips_check_custom_dns) | **POST** /ips/check-custom-dns | /ips/check-custom-dns
*MailchimpTransactional::TransactionalApi* | [**post_ips_create_pool**](docs/TransactionalApi.md#post_ips_create_pool) | **POST** /ips/create-pool | /ips/create-pool
*MailchimpTransactional::TransactionalApi* | [**post_ips_delete**](docs/TransactionalApi.md#post_ips_delete) | **POST** /ips/delete | /ips/delete
*MailchimpTransactional::TransactionalApi* | [**post_ips_delete_pool**](docs/TransactionalApi.md#post_ips_delete_pool) | **POST** /ips/delete-pool | /ips/delete-pool
*MailchimpTransactional::TransactionalApi* | [**post_ips_info**](docs/TransactionalApi.md#post_ips_info) | **POST** /ips/info | /ips/info
*MailchimpTransactional::TransactionalApi* | [**post_ips_list**](docs/TransactionalApi.md#post_ips_list) | **POST** /ips/list | /ips/list
*MailchimpTransactional::TransactionalApi* | [**post_ips_list_pools**](docs/TransactionalApi.md#post_ips_list_pools) | **POST** /ips/list-pools | /ips/list-pools
*MailchimpTransactional::TransactionalApi* | [**post_ips_pool_info**](docs/TransactionalApi.md#post_ips_pool_info) | **POST** /ips/pool-info | /ips/pool-info
*MailchimpTransactional::TransactionalApi* | [**post_ips_provision**](docs/TransactionalApi.md#post_ips_provision) | **POST** /ips/provision | /ips/provision
*MailchimpTransactional::TransactionalApi* | [**post_ips_set_custom_dns**](docs/TransactionalApi.md#post_ips_set_custom_dns) | **POST** /ips/set-custom-dns | /ips/set-custom-dns
*MailchimpTransactional::TransactionalApi* | [**post_ips_set_pool**](docs/TransactionalApi.md#post_ips_set_pool) | **POST** /ips/set-pool | /ips/set-pool
*MailchimpTransactional::TransactionalApi* | [**post_ips_start_warmup**](docs/TransactionalApi.md#post_ips_start_warmup) | **POST** /ips/start-warmup | /ips/start-warmup
*MailchimpTransactional::TransactionalApi* | [**post_messages_cancel_scheduled**](docs/TransactionalApi.md#post_messages_cancel_scheduled) | **POST** /messages/cancel-scheduled | /messages/cancel-scheduled
*MailchimpTransactional::TransactionalApi* | [**post_messages_content**](docs/TransactionalApi.md#post_messages_content) | **POST** /messages/content | /messages/content
*MailchimpTransactional::TransactionalApi* | [**post_messages_info**](docs/TransactionalApi.md#post_messages_info) | **POST** /messages/info | /messages/info
*MailchimpTransactional::TransactionalApi* | [**post_messages_list_scheduled**](docs/TransactionalApi.md#post_messages_list_scheduled) | **POST** /messages/list-scheduled | /messages/list-scheduled
*MailchimpTransactional::TransactionalApi* | [**post_messages_parse**](docs/TransactionalApi.md#post_messages_parse) | **POST** /messages/parse | /messages/parse
*MailchimpTransactional::TransactionalApi* | [**post_messages_reschedule**](docs/TransactionalApi.md#post_messages_reschedule) | **POST** /messages/reschedule | /messages/reschedule
*MailchimpTransactional::TransactionalApi* | [**post_messages_search**](docs/TransactionalApi.md#post_messages_search) | **POST** /messages/search | /messages/search
*MailchimpTransactional::TransactionalApi* | [**post_messages_search_time_series**](docs/TransactionalApi.md#post_messages_search_time_series) | **POST** /messages/search-time-series | /messages/search-time-series
*MailchimpTransactional::TransactionalApi* | [**post_messages_send**](docs/TransactionalApi.md#post_messages_send) | **POST** /messages/send | /messages/send
*MailchimpTransactional::TransactionalApi* | [**post_messages_send_raw**](docs/TransactionalApi.md#post_messages_send_raw) | **POST** /messages/send-raw | /messages/send-raw
*MailchimpTransactional::TransactionalApi* | [**post_messages_send_template**](docs/TransactionalApi.md#post_messages_send_template) | **POST** /messages/send-template | /messages/send-template
*MailchimpTransactional::TransactionalApi* | [**post_metadata_add**](docs/TransactionalApi.md#post_metadata_add) | **POST** /metadata/add | /metadata/add
*MailchimpTransactional::TransactionalApi* | [**post_metadata_delete**](docs/TransactionalApi.md#post_metadata_delete) | **POST** /metadata/delete | /metadata/delete
*MailchimpTransactional::TransactionalApi* | [**post_metadata_list**](docs/TransactionalApi.md#post_metadata_list) | **POST** /metadata/list | /metadata/list
*MailchimpTransactional::TransactionalApi* | [**post_metadata_update**](docs/TransactionalApi.md#post_metadata_update) | **POST** /metadata/update | /metadata/update
*MailchimpTransactional::TransactionalApi* | [**post_rejects_add**](docs/TransactionalApi.md#post_rejects_add) | **POST** /rejects/add | /rejects/add
*MailchimpTransactional::TransactionalApi* | [**post_rejects_delete**](docs/TransactionalApi.md#post_rejects_delete) | **POST** /rejects/delete | /rejects/delete
*MailchimpTransactional::TransactionalApi* | [**post_rejects_list**](docs/TransactionalApi.md#post_rejects_list) | **POST** /rejects/list | /rejects/list
*MailchimpTransactional::TransactionalApi* | [**post_senders_add_domain**](docs/TransactionalApi.md#post_senders_add_domain) | **POST** /senders/add-domain | /senders/add-domain
*MailchimpTransactional::TransactionalApi* | [**post_senders_check_domain**](docs/TransactionalApi.md#post_senders_check_domain) | **POST** /senders/check-domain | /senders/check-domain
*MailchimpTransactional::TransactionalApi* | [**post_senders_domains**](docs/TransactionalApi.md#post_senders_domains) | **POST** /senders/domains | /senders/domains
*MailchimpTransactional::TransactionalApi* | [**post_senders_info**](docs/TransactionalApi.md#post_senders_info) | **POST** /senders/info | /senders/info
*MailchimpTransactional::TransactionalApi* | [**post_senders_list**](docs/TransactionalApi.md#post_senders_list) | **POST** /senders/list | /senders/list
*MailchimpTransactional::TransactionalApi* | [**post_senders_time_series**](docs/TransactionalApi.md#post_senders_time_series) | **POST** /senders/time-series | /senders/time-series
*MailchimpTransactional::TransactionalApi* | [**post_senders_verify_domain**](docs/TransactionalApi.md#post_senders_verify_domain) | **POST** /senders/verify-domain | /senders/verify-domain
*MailchimpTransactional::TransactionalApi* | [**post_subaccounts_add**](docs/TransactionalApi.md#post_subaccounts_add) | **POST** /subaccounts/add | /subaccounts/add
*MailchimpTransactional::TransactionalApi* | [**post_subaccounts_delete**](docs/TransactionalApi.md#post_subaccounts_delete) | **POST** /subaccounts/delete | /subaccounts/delete
*MailchimpTransactional::TransactionalApi* | [**post_subaccounts_info**](docs/TransactionalApi.md#post_subaccounts_info) | **POST** /subaccounts/info | /subaccounts/info
*MailchimpTransactional::TransactionalApi* | [**post_subaccounts_list**](docs/TransactionalApi.md#post_subaccounts_list) | **POST** /subaccounts/list | /subaccounts/list
*MailchimpTransactional::TransactionalApi* | [**post_subaccounts_pause**](docs/TransactionalApi.md#post_subaccounts_pause) | **POST** /subaccounts/pause | /subaccounts/pause
*MailchimpTransactional::TransactionalApi* | [**post_subaccounts_resume**](docs/TransactionalApi.md#post_subaccounts_resume) | **POST** /subaccounts/resume | /subaccounts/resume
*MailchimpTransactional::TransactionalApi* | [**post_subaccounts_update**](docs/TransactionalApi.md#post_subaccounts_update) | **POST** /subaccounts/update | /subaccounts/update
*MailchimpTransactional::TransactionalApi* | [**post_tags_all_time_series**](docs/TransactionalApi.md#post_tags_all_time_series) | **POST** /tags/all-time-series | /tags/all-time-series
*MailchimpTransactional::TransactionalApi* | [**post_tags_delete**](docs/TransactionalApi.md#post_tags_delete) | **POST** /tags/delete | /tags/delete
*MailchimpTransactional::TransactionalApi* | [**post_tags_info**](docs/TransactionalApi.md#post_tags_info) | **POST** /tags/info | /tags/info
*MailchimpTransactional::TransactionalApi* | [**post_tags_list**](docs/TransactionalApi.md#post_tags_list) | **POST** /tags/list | /tags/list
*MailchimpTransactional::TransactionalApi* | [**post_tags_time_series**](docs/TransactionalApi.md#post_tags_time_series) | **POST** /tags/time-series | /tags/time-series
*MailchimpTransactional::TransactionalApi* | [**post_templates_add**](docs/TransactionalApi.md#post_templates_add) | **POST** /templates/add | /templates/add
*MailchimpTransactional::TransactionalApi* | [**post_templates_delete**](docs/TransactionalApi.md#post_templates_delete) | **POST** /templates/delete | /templates/delete
*MailchimpTransactional::TransactionalApi* | [**post_templates_info**](docs/TransactionalApi.md#post_templates_info) | **POST** /templates/info | /templates/info
*MailchimpTransactional::TransactionalApi* | [**post_templates_list**](docs/TransactionalApi.md#post_templates_list) | **POST** /templates/list | /templates/list
*MailchimpTransactional::TransactionalApi* | [**post_templates_publish**](docs/TransactionalApi.md#post_templates_publish) | **POST** /templates/publish | /templates/publish
*MailchimpTransactional::TransactionalApi* | [**post_templates_render**](docs/TransactionalApi.md#post_templates_render) | **POST** /templates/render | /templates/render
*MailchimpTransactional::TransactionalApi* | [**post_templates_time_series**](docs/TransactionalApi.md#post_templates_time_series) | **POST** /templates/time-series | /templates/time-series
*MailchimpTransactional::TransactionalApi* | [**post_templates_update**](docs/TransactionalApi.md#post_templates_update) | **POST** /templates/update | /templates/update
*MailchimpTransactional::TransactionalApi* | [**post_urls_add_tracking_domain**](docs/TransactionalApi.md#post_urls_add_tracking_domain) | **POST** /urls/add-tracking-domain | /urls/add-tracking-domain
*MailchimpTransactional::TransactionalApi* | [**post_urls_check_tracking_domain**](docs/TransactionalApi.md#post_urls_check_tracking_domain) | **POST** /urls/check-tracking-domain | /urls/check-tracking-domain
*MailchimpTransactional::TransactionalApi* | [**post_urls_list**](docs/TransactionalApi.md#post_urls_list) | **POST** /urls/list | /urls/list
*MailchimpTransactional::TransactionalApi* | [**post_urls_search_deprecated**](docs/TransactionalApi.md#post_urls_search_deprecated) | **POST** /urls/search | /urls/search (deprecated)
*MailchimpTransactional::TransactionalApi* | [**post_urls_time_series**](docs/TransactionalApi.md#post_urls_time_series) | **POST** /urls/time-series | /urls/time-series
*MailchimpTransactional::TransactionalApi* | [**post_urls_tracking_domains**](docs/TransactionalApi.md#post_urls_tracking_domains) | **POST** /urls/tracking-domains | /urls/tracking-domains
*MailchimpTransactional::TransactionalApi* | [**post_users_info**](docs/TransactionalApi.md#post_users_info) | **POST** /users/info | /users/info
*MailchimpTransactional::TransactionalApi* | [**post_users_ping**](docs/TransactionalApi.md#post_users_ping) | **POST** /users/ping | /users/ping
*MailchimpTransactional::TransactionalApi* | [**post_users_ping2**](docs/TransactionalApi.md#post_users_ping2) | **POST** /users/ping2 | /users/ping2
*MailchimpTransactional::TransactionalApi* | [**post_users_senders**](docs/TransactionalApi.md#post_users_senders) | **POST** /users/senders | /users/senders
*MailchimpTransactional::TransactionalApi* | [**post_webhooks_add**](docs/TransactionalApi.md#post_webhooks_add) | **POST** /webhooks/add | /webhooks/add
*MailchimpTransactional::TransactionalApi* | [**post_webhooks_delete**](docs/TransactionalApi.md#post_webhooks_delete) | **POST** /webhooks/delete | /webhooks/delete
*MailchimpTransactional::TransactionalApi* | [**post_webhooks_info**](docs/TransactionalApi.md#post_webhooks_info) | **POST** /webhooks/info | /webhooks/info
*MailchimpTransactional::TransactionalApi* | [**post_webhooks_list**](docs/TransactionalApi.md#post_webhooks_list) | **POST** /webhooks/list | /webhooks/list
*MailchimpTransactional::TransactionalApi* | [**post_webhooks_update**](docs/TransactionalApi.md#post_webhooks_update) | **POST** /webhooks/update | /webhooks/update
*MailchimpTransactional::TransactionalApi* | [**post_whitelists_add**](docs/TransactionalApi.md#post_whitelists_add) | **POST** /whitelists/add | /whitelists/add
*MailchimpTransactional::TransactionalApi* | [**post_whitelists_delete**](docs/TransactionalApi.md#post_whitelists_delete) | **POST** /whitelists/delete | /whitelists/delete
*MailchimpTransactional::TransactionalApi* | [**post_whitelists_list**](docs/TransactionalApi.md#post_whitelists_list) | **POST** /whitelists/list | /whitelists/list


## Documentation for Models

 - [MailchimpTransactional::Body](docs/Body.md)
 - [MailchimpTransactional::Body1](docs/Body1.md)
 - [MailchimpTransactional::Body10](docs/Body10.md)
 - [MailchimpTransactional::Body11](docs/Body11.md)
 - [MailchimpTransactional::Body12](docs/Body12.md)
 - [MailchimpTransactional::Body13](docs/Body13.md)
 - [MailchimpTransactional::Body14](docs/Body14.md)
 - [MailchimpTransactional::Body15](docs/Body15.md)
 - [MailchimpTransactional::Body16](docs/Body16.md)
 - [MailchimpTransactional::Body17](docs/Body17.md)
 - [MailchimpTransactional::Body18](docs/Body18.md)
 - [MailchimpTransactional::Body19](docs/Body19.md)
 - [MailchimpTransactional::Body2](docs/Body2.md)
 - [MailchimpTransactional::Body20](docs/Body20.md)
 - [MailchimpTransactional::Body21](docs/Body21.md)
 - [MailchimpTransactional::Body22](docs/Body22.md)
 - [MailchimpTransactional::Body23](docs/Body23.md)
 - [MailchimpTransactional::Body24](docs/Body24.md)
 - [MailchimpTransactional::Body25](docs/Body25.md)
 - [MailchimpTransactional::Body26](docs/Body26.md)
 - [MailchimpTransactional::Body27](docs/Body27.md)
 - [MailchimpTransactional::Body28](docs/Body28.md)
 - [MailchimpTransactional::Body29](docs/Body29.md)
 - [MailchimpTransactional::Body3](docs/Body3.md)
 - [MailchimpTransactional::Body30](docs/Body30.md)
 - [MailchimpTransactional::Body31](docs/Body31.md)
 - [MailchimpTransactional::Body32](docs/Body32.md)
 - [MailchimpTransactional::Body33](docs/Body33.md)
 - [MailchimpTransactional::Body34](docs/Body34.md)
 - [MailchimpTransactional::Body35](docs/Body35.md)
 - [MailchimpTransactional::Body36](docs/Body36.md)
 - [MailchimpTransactional::Body37](docs/Body37.md)
 - [MailchimpTransactional::Body38](docs/Body38.md)
 - [MailchimpTransactional::Body39](docs/Body39.md)
 - [MailchimpTransactional::Body4](docs/Body4.md)
 - [MailchimpTransactional::Body40](docs/Body40.md)
 - [MailchimpTransactional::Body41](docs/Body41.md)
 - [MailchimpTransactional::Body42](docs/Body42.md)
 - [MailchimpTransactional::Body43](docs/Body43.md)
 - [MailchimpTransactional::Body44](docs/Body44.md)
 - [MailchimpTransactional::Body45](docs/Body45.md)
 - [MailchimpTransactional::Body46](docs/Body46.md)
 - [MailchimpTransactional::Body47](docs/Body47.md)
 - [MailchimpTransactional::Body48](docs/Body48.md)
 - [MailchimpTransactional::Body49](docs/Body49.md)
 - [MailchimpTransactional::Body5](docs/Body5.md)
 - [MailchimpTransactional::Body50](docs/Body50.md)
 - [MailchimpTransactional::Body51](docs/Body51.md)
 - [MailchimpTransactional::Body52](docs/Body52.md)
 - [MailchimpTransactional::Body53](docs/Body53.md)
 - [MailchimpTransactional::Body54](docs/Body54.md)
 - [MailchimpTransactional::Body55](docs/Body55.md)
 - [MailchimpTransactional::Body56](docs/Body56.md)
 - [MailchimpTransactional::Body57](docs/Body57.md)
 - [MailchimpTransactional::Body58](docs/Body58.md)
 - [MailchimpTransactional::Body59](docs/Body59.md)
 - [MailchimpTransactional::Body6](docs/Body6.md)
 - [MailchimpTransactional::Body60](docs/Body60.md)
 - [MailchimpTransactional::Body61](docs/Body61.md)
 - [MailchimpTransactional::Body62](docs/Body62.md)
 - [MailchimpTransactional::Body63](docs/Body63.md)
 - [MailchimpTransactional::Body64](docs/Body64.md)
 - [MailchimpTransactional::Body65](docs/Body65.md)
 - [MailchimpTransactional::Body66](docs/Body66.md)
 - [MailchimpTransactional::Body67](docs/Body67.md)
 - [MailchimpTransactional::Body68](docs/Body68.md)
 - [MailchimpTransactional::Body69](docs/Body69.md)
 - [MailchimpTransactional::Body7](docs/Body7.md)
 - [MailchimpTransactional::Body70](docs/Body70.md)
 - [MailchimpTransactional::Body71](docs/Body71.md)
 - [MailchimpTransactional::Body72](docs/Body72.md)
 - [MailchimpTransactional::Body73](docs/Body73.md)
 - [MailchimpTransactional::Body74](docs/Body74.md)
 - [MailchimpTransactional::Body75](docs/Body75.md)
 - [MailchimpTransactional::Body76](docs/Body76.md)
 - [MailchimpTransactional::Body77](docs/Body77.md)
 - [MailchimpTransactional::Body78](docs/Body78.md)
 - [MailchimpTransactional::Body79](docs/Body79.md)
 - [MailchimpTransactional::Body8](docs/Body8.md)
 - [MailchimpTransactional::Body80](docs/Body80.md)
 - [MailchimpTransactional::Body81](docs/Body81.md)
 - [MailchimpTransactional::Body82](docs/Body82.md)
 - [MailchimpTransactional::Body83](docs/Body83.md)
 - [MailchimpTransactional::Body84](docs/Body84.md)
 - [MailchimpTransactional::Body85](docs/Body85.md)
 - [MailchimpTransactional::Body86](docs/Body86.md)
 - [MailchimpTransactional::Body87](docs/Body87.md)
 - [MailchimpTransactional::Body88](docs/Body88.md)
 - [MailchimpTransactional::Body89](docs/Body89.md)
 - [MailchimpTransactional::Body9](docs/Body9.md)
 - [MailchimpTransactional::InlineResponse200](docs/InlineResponse200.md)
 - [MailchimpTransactional::InlineResponse2001](docs/InlineResponse2001.md)
 - [MailchimpTransactional::InlineResponse20010](docs/InlineResponse20010.md)
 - [MailchimpTransactional::InlineResponse20011](docs/InlineResponse20011.md)
 - [MailchimpTransactional::InlineResponse20012](docs/InlineResponse20012.md)
 - [MailchimpTransactional::InlineResponse20013](docs/InlineResponse20013.md)
 - [MailchimpTransactional::InlineResponse20014](docs/InlineResponse20014.md)
 - [MailchimpTransactional::InlineResponse20015](docs/InlineResponse20015.md)
 - [MailchimpTransactional::InlineResponse20016](docs/InlineResponse20016.md)
 - [MailchimpTransactional::InlineResponse20017](docs/InlineResponse20017.md)
 - [MailchimpTransactional::InlineResponse20018](docs/InlineResponse20018.md)
 - [MailchimpTransactional::InlineResponse20019](docs/InlineResponse20019.md)
 - [MailchimpTransactional::InlineResponse2002](docs/InlineResponse2002.md)
 - [MailchimpTransactional::InlineResponse20020](docs/InlineResponse20020.md)
 - [MailchimpTransactional::InlineResponse20021](docs/InlineResponse20021.md)
 - [MailchimpTransactional::InlineResponse20022](docs/InlineResponse20022.md)
 - [MailchimpTransactional::InlineResponse20023](docs/InlineResponse20023.md)
 - [MailchimpTransactional::InlineResponse20024](docs/InlineResponse20024.md)
 - [MailchimpTransactional::InlineResponse20025](docs/InlineResponse20025.md)
 - [MailchimpTransactional::InlineResponse20026](docs/InlineResponse20026.md)
 - [MailchimpTransactional::InlineResponse20027](docs/InlineResponse20027.md)
 - [MailchimpTransactional::InlineResponse20028](docs/InlineResponse20028.md)
 - [MailchimpTransactional::InlineResponse20029](docs/InlineResponse20029.md)
 - [MailchimpTransactional::InlineResponse20029SmtpEvents](docs/InlineResponse20029SmtpEvents.md)
 - [MailchimpTransactional::InlineResponse2003](docs/InlineResponse2003.md)
 - [MailchimpTransactional::InlineResponse20030](docs/InlineResponse20030.md)
 - [MailchimpTransactional::InlineResponse20030Attachments](docs/InlineResponse20030Attachments.md)
 - [MailchimpTransactional::InlineResponse20030To](docs/InlineResponse20030To.md)
 - [MailchimpTransactional::InlineResponse20031](docs/InlineResponse20031.md)
 - [MailchimpTransactional::InlineResponse20031Attachments](docs/InlineResponse20031Attachments.md)
 - [MailchimpTransactional::InlineResponse20031Images](docs/InlineResponse20031Images.md)
 - [MailchimpTransactional::InlineResponse20031To](docs/InlineResponse20031To.md)
 - [MailchimpTransactional::InlineResponse20032](docs/InlineResponse20032.md)
 - [MailchimpTransactional::InlineResponse20033](docs/InlineResponse20033.md)
 - [MailchimpTransactional::InlineResponse20034](docs/InlineResponse20034.md)
 - [MailchimpTransactional::InlineResponse20035](docs/InlineResponse20035.md)
 - [MailchimpTransactional::InlineResponse20036](docs/InlineResponse20036.md)
 - [MailchimpTransactional::InlineResponse20037](docs/InlineResponse20037.md)
 - [MailchimpTransactional::InlineResponse20038](docs/InlineResponse20038.md)
 - [MailchimpTransactional::InlineResponse20039](docs/InlineResponse20039.md)
 - [MailchimpTransactional::InlineResponse2004](docs/InlineResponse2004.md)
 - [MailchimpTransactional::InlineResponse20040](docs/InlineResponse20040.md)
 - [MailchimpTransactional::InlineResponse20041](docs/InlineResponse20041.md)
 - [MailchimpTransactional::InlineResponse20042](docs/InlineResponse20042.md)
 - [MailchimpTransactional::InlineResponse20043](docs/InlineResponse20043.md)
 - [MailchimpTransactional::InlineResponse20044](docs/InlineResponse20044.md)
 - [MailchimpTransactional::InlineResponse20045](docs/InlineResponse20045.md)
 - [MailchimpTransactional::InlineResponse20045Stats](docs/InlineResponse20045Stats.md)
 - [MailchimpTransactional::InlineResponse20045StatsLast30Days](docs/InlineResponse20045StatsLast30Days.md)
 - [MailchimpTransactional::InlineResponse20045StatsLast60Days](docs/InlineResponse20045StatsLast60Days.md)
 - [MailchimpTransactional::InlineResponse20045StatsLast7Days](docs/InlineResponse20045StatsLast7Days.md)
 - [MailchimpTransactional::InlineResponse20045StatsLast90Days](docs/InlineResponse20045StatsLast90Days.md)
 - [MailchimpTransactional::InlineResponse20045StatsToday](docs/InlineResponse20045StatsToday.md)
 - [MailchimpTransactional::InlineResponse20046](docs/InlineResponse20046.md)
 - [MailchimpTransactional::InlineResponse20047](docs/InlineResponse20047.md)
 - [MailchimpTransactional::InlineResponse20048](docs/InlineResponse20048.md)
 - [MailchimpTransactional::InlineResponse20049](docs/InlineResponse20049.md)
 - [MailchimpTransactional::InlineResponse20049Last30Days](docs/InlineResponse20049Last30Days.md)
 - [MailchimpTransactional::InlineResponse2005](docs/InlineResponse2005.md)
 - [MailchimpTransactional::InlineResponse20050](docs/InlineResponse20050.md)
 - [MailchimpTransactional::InlineResponse20051](docs/InlineResponse20051.md)
 - [MailchimpTransactional::InlineResponse20052](docs/InlineResponse20052.md)
 - [MailchimpTransactional::InlineResponse20053](docs/InlineResponse20053.md)
 - [MailchimpTransactional::InlineResponse20054](docs/InlineResponse20054.md)
 - [MailchimpTransactional::InlineResponse20055](docs/InlineResponse20055.md)
 - [MailchimpTransactional::InlineResponse20056](docs/InlineResponse20056.md)
 - [MailchimpTransactional::InlineResponse20056Stats](docs/InlineResponse20056Stats.md)
 - [MailchimpTransactional::InlineResponse20056StatsLast30Days](docs/InlineResponse20056StatsLast30Days.md)
 - [MailchimpTransactional::InlineResponse20056StatsLast60Days](docs/InlineResponse20056StatsLast60Days.md)
 - [MailchimpTransactional::InlineResponse20056StatsLast7Days](docs/InlineResponse20056StatsLast7Days.md)
 - [MailchimpTransactional::InlineResponse20056StatsLast90Days](docs/InlineResponse20056StatsLast90Days.md)
 - [MailchimpTransactional::InlineResponse20056StatsToday](docs/InlineResponse20056StatsToday.md)
 - [MailchimpTransactional::InlineResponse20057](docs/InlineResponse20057.md)
 - [MailchimpTransactional::InlineResponse20058](docs/InlineResponse20058.md)
 - [MailchimpTransactional::InlineResponse20059](docs/InlineResponse20059.md)
 - [MailchimpTransactional::InlineResponse2006](docs/InlineResponse2006.md)
 - [MailchimpTransactional::InlineResponse20060](docs/InlineResponse20060.md)
 - [MailchimpTransactional::InlineResponse20061](docs/InlineResponse20061.md)
 - [MailchimpTransactional::InlineResponse20062](docs/InlineResponse20062.md)
 - [MailchimpTransactional::InlineResponse20063](docs/InlineResponse20063.md)
 - [MailchimpTransactional::InlineResponse20064](docs/InlineResponse20064.md)
 - [MailchimpTransactional::InlineResponse20065](docs/InlineResponse20065.md)
 - [MailchimpTransactional::InlineResponse20066](docs/InlineResponse20066.md)
 - [MailchimpTransactional::InlineResponse20067](docs/InlineResponse20067.md)
 - [MailchimpTransactional::InlineResponse20068](docs/InlineResponse20068.md)
 - [MailchimpTransactional::InlineResponse20069](docs/InlineResponse20069.md)
 - [MailchimpTransactional::InlineResponse20069Stats](docs/InlineResponse20069Stats.md)
 - [MailchimpTransactional::InlineResponse20069StatsAllTime](docs/InlineResponse20069StatsAllTime.md)
 - [MailchimpTransactional::InlineResponse20069StatsLast30Days](docs/InlineResponse20069StatsLast30Days.md)
 - [MailchimpTransactional::InlineResponse20069StatsLast60Days](docs/InlineResponse20069StatsLast60Days.md)
 - [MailchimpTransactional::InlineResponse20069StatsLast7Days](docs/InlineResponse20069StatsLast7Days.md)
 - [MailchimpTransactional::InlineResponse20069StatsLast90Days](docs/InlineResponse20069StatsLast90Days.md)
 - [MailchimpTransactional::InlineResponse20069StatsToday](docs/InlineResponse20069StatsToday.md)
 - [MailchimpTransactional::InlineResponse2007](docs/InlineResponse2007.md)
 - [MailchimpTransactional::InlineResponse20070](docs/InlineResponse20070.md)
 - [MailchimpTransactional::InlineResponse20071](docs/InlineResponse20071.md)
 - [MailchimpTransactional::InlineResponse20072](docs/InlineResponse20072.md)
 - [MailchimpTransactional::InlineResponse20073](docs/InlineResponse20073.md)
 - [MailchimpTransactional::InlineResponse20074](docs/InlineResponse20074.md)
 - [MailchimpTransactional::InlineResponse20075](docs/InlineResponse20075.md)
 - [MailchimpTransactional::InlineResponse20076](docs/InlineResponse20076.md)
 - [MailchimpTransactional::InlineResponse20077](docs/InlineResponse20077.md)
 - [MailchimpTransactional::InlineResponse20078](docs/InlineResponse20078.md)
 - [MailchimpTransactional::InlineResponse2008](docs/InlineResponse2008.md)
 - [MailchimpTransactional::InlineResponse2009](docs/InlineResponse2009.md)
 - [MailchimpTransactional::IpslistCustomDns](docs/IpslistCustomDns.md)
 - [MailchimpTransactional::IpslistWarmup](docs/IpslistWarmup.md)
 - [MailchimpTransactional::IpslistpoolsIps](docs/IpslistpoolsIps.md)
 - [MailchimpTransactional::MessagessearchClicksDetail](docs/MessagessearchClicksDetail.md)
 - [MailchimpTransactional::MessagessearchOpensDetail](docs/MessagessearchOpensDetail.md)
 - [MailchimpTransactional::MessagessendMessage](docs/MessagessendMessage.md)
 - [MailchimpTransactional::MessagessendMessageAttachments](docs/MessagessendMessageAttachments.md)
 - [MailchimpTransactional::MessagessendMessageGlobalMergeVars](docs/MessagessendMessageGlobalMergeVars.md)
 - [MailchimpTransactional::MessagessendMessageImages](docs/MessagessendMessageImages.md)
 - [MailchimpTransactional::MessagessendMessageMergeVars](docs/MessagessendMessageMergeVars.md)
 - [MailchimpTransactional::MessagessendMessageMetadata](docs/MessagessendMessageMetadata.md)
 - [MailchimpTransactional::MessagessendMessageRecipientMetadata](docs/MessagessendMessageRecipientMetadata.md)
 - [MailchimpTransactional::MessagessendMessageTo](docs/MessagessendMessageTo.md)
 - [MailchimpTransactional::MessagessendMessageValues](docs/MessagessendMessageValues.md)
 - [MailchimpTransactional::MessagessendMessageVars](docs/MessagessendMessageVars.md)
 - [MailchimpTransactional::MessagessendtemplateMessage](docs/MessagessendtemplateMessage.md)
 - [MailchimpTransactional::MessagessendtemplateTemplateContent](docs/MessagessendtemplateTemplateContent.md)
 - [MailchimpTransactional::RejectslistSender](docs/RejectslistSender.md)
 - [MailchimpTransactional::SendersdomainsDkim](docs/SendersdomainsDkim.md)
 - [MailchimpTransactional::SendersdomainsSpf](docs/SendersdomainsSpf.md)
 - [MailchimpTransactional::TemplatesrenderMergeVars](docs/TemplatesrenderMergeVars.md)
 - [MailchimpTransactional::TemplatesrenderTemplateContent](docs/TemplatesrenderTemplateContent.md)
 - [MailchimpTransactional::UrlstrackingdomainsCname](docs/UrlstrackingdomainsCname.md)


## Documentation for Authorization

 All endpoints do not require authorization.

