# MailchimpTransactional::MessagessendMessage

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**html** | **String** | the full HTML content to be sent | [optional] 
**text** | **String** | optional full text content to be sent | [optional] 
**subject** | **String** | the message subject | [optional] 
**from_email** | **String** | the sender email address | [optional] 
**from_name** | **String** | optional from name to be used | [optional] 
**to** | [**Array&lt;MessagessendMessageTo&gt;**](MessagessendMessageTo.md) | an array of recipient information. | [optional] 
**headers** | **Object** | optional extra headers to add to the message (most headers are allowed) | [optional] 
**important** | **BOOLEAN** | whether or not this message is important, and should be delivered ahead of non-important messages | [optional] 
**track_opens** | **BOOLEAN** | whether or not to turn on open tracking for the message | [optional] 
**track_clicks** | **BOOLEAN** | whether or not to turn on click tracking for the message | [optional] 
**auto_text** | **BOOLEAN** | whether or not to automatically generate a text part for messages that are not given text | [optional] 
**auto_html** | **BOOLEAN** | whether or not to automatically generate an HTML part for messages that are not given HTML | [optional] 
**inline_css** | **BOOLEAN** | whether or not to automatically inline all CSS styles provided in the message HTML - only for HTML documents less than 256KB in size | [optional] 
**url_strip_qs** | **BOOLEAN** | whether or not to strip the query string from URLs when aggregating tracked URL data | [optional] 
**preserve_recipients** | **BOOLEAN** | whether or not to expose all recipients in to \&quot;To\&quot; header for each email | [optional] 
**view_content_link** | **BOOLEAN** | set to false to remove content logging for sensitive emails | [optional] 
**bcc_address** | **String** | an optional address to receive an exact copy of each recipient&#39;s email | [optional] 
**tracking_domain** | **String** | a custom domain to use for tracking opens and clicks instead of mandrillapp.com | [optional] 
**signing_domain** | **String** | a custom domain to use for SPF/DKIM signing instead of mandrill (for \&quot;via\&quot; or \&quot;on behalf of\&quot; in email clients) | [optional] 
**return_path_domain** | **String** | a custom domain to use for the messages&#39;s return-path | [optional] 
**merge** | **BOOLEAN** | whether to evaluate merge tags in the message. Will automatically be set to true if either merge_vars or global_merge_vars are provided. | [optional] 
**merge_language** | **String** | the merge tag language to use when evaluating merge tags, either mailchimp or handlebars | [optional] 
**global_merge_vars** | [**Array&lt;MessagessendMessageGlobalMergeVars&gt;**](MessagessendMessageGlobalMergeVars.md) | global merge variables to use for all recipients. You can override these per recipient. | [optional] 
**merge_vars** | [**Array&lt;MessagessendMessageMergeVars&gt;**](MessagessendMessageMergeVars.md) | per-recipient merge variables, which override global merge variables with the same name. | [optional] 
**tags** | **Array&lt;String&gt;** | an array of string to tag the message with. Stats are accumulated using tags, though we only store the first 100 we see, so this should not be unique or change frequently. Tags should be 50 characters or less. Any tags starting with an underscore are reserved for internal use and will cause errors. | [optional] 
**subaccount** | **String** | the unique id of a subaccount for this message - must already exist or will fail with an error | [optional] 
**google_analytics_domains** | **Array&lt;String&gt;** | an array of strings indicating for which any matching URLs will automatically have Google Analytics parameters appended to their query string automatically. | [optional] 
**google_analytics_campaign** | **String** | optional string indicating the value to set for the utm_campaign tracking parameter. If this isn&#39;t provided the email&#39;s from address will be used instead. | [optional] 
**metadata** | [**MessagessendMessageMetadata**](MessagessendMessageMetadata.md) |  | [optional] 
**recipient_metadata** | [**Array&lt;MessagessendMessageRecipientMetadata&gt;**](MessagessendMessageRecipientMetadata.md) | Per-recipient metadata that will override the global values specified in the metadata parameter. | [optional] 
**attachments** | [**Array&lt;MessagessendMessageAttachments&gt;**](MessagessendMessageAttachments.md) | an array of supported attachments to add to the message | [optional] 
**images** | [**Array&lt;MessagessendMessageImages&gt;**](MessagessendMessageImages.md) | an array of embedded images to add to the message | [optional] 


